Bug 1579264 - installer would trim 3.10 to 3.1 when openshift_release=3.10
Summary: installer would trim 3.10 to 3.1 when openshift_release=3.10
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.10.0
Assignee: Andrew Butcher
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-17 09:21 UTC by Johnny Liu
Modified: 2018-07-30 19:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-30 19:15:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:16:03 UTC

Comment 1 Michael Gugino 2018-05-21 18:09:57 UTC
This can only happen if openshift_release is not a string.  Using just

openshift_release=3.10

will result in a float value, not a string.

Unfortunately, we can't simply cast to string as the zero will get removed.

You can set openshift_release="3.10" or openshift_release=v3.10.

Comment 2 Scott Dodson 2018-05-22 12:13:31 UTC
Lets make sure that the example inventories show the value quoted and that any time we're printing out an error about openshift_release we make sure to make it clear there that it needs to be quoted.

Comment 3 Scott Dodson 2018-05-24 13:26:40 UTC
https://github.com/openshift/openshift-ansible/pull/8486
in openshift-ansible-3.10.0-0.51.0

Comment 4 Johnny Liu 2018-05-25 02:39:28 UTC
Verified this bug with openshift-ansible-3.10.0-0.51.0, and PASS.

TASK [openshift_sanitize_inventory : Abort when openshift_release is invalid] ***
Thursday 24 May 2018  22:16:25 -0400 (0:00:00.053)       0:00:02.726 ********** 
fatal: [host-8-246-83.host.centralci.eng.rdu2.redhat.com]: FAILED! => {"changed": false, "failed": true, "msg": "openshift_release is \"a3.10\" which is not a valid version string.\nPlease set openshift_release to a version string and ensure that the value is quoted, ex: openshift_release=\"3.4\"."}
fatal: [host-8-247-24.host.centralci.eng.rdu2.redhat.com]: FAILED! => {"changed": false, "failed": true, "msg": "openshift_release is \"a3.10\" which is not a valid version string.\nPlease set openshift_release to a version string and ensure that the value is quoted, ex: openshift_release=\"3.4\"."}

Comment 6 errata-xmlrpc 2018-07-30 19:15:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.